- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_DMA_ChannelObj Struct Reference
DMA Data Structures

DMA channel object. More...

`#include <csl_dma.h>`

## Data Fields
CSL_DmaRegsOvly | dmaRegs
CSL_DMAChanNum | chanNum
CSL_DMAEngineId | dmaInstNum
Bool | isChanFree
CSL_DMAChanDir | chanDir
CSL_DMATriggerType | trigger
CSL_DMATransferType | trfType
CSL_DMAInterruptState | dmaInt
Bool | pingPongEnabled

## Detailed Description

DMA channel object.

Contains the Information of a DMA Object.

## Field Documentation

CSL_DMAChanDir CSL_DMA_ChannelObj::chanDir

Channel direction - Rd/Wr

Referenced by DMA_config(), DMA_getConfig(), and DMA_open().

CSL_DMAChanNum CSL_DMA_ChannelObj::chanNum

DMA channel number for DMA Engins

Referenced by DMA_config(), DMA_getConfig(), DMA_getLastTransferType(), DMA_getStatus(), DMA_open(), DMA_reset(), DMA_start(), and DMA_stop().

CSL_DMAEngineId CSL_DMA_ChannelObj::dmaInstNum

DMA instance number (Engine Num)

Referenced by DMA_open().

CSL_DMAInterruptState CSL_DMA_ChannelObj::dmaInt

state of DMA interrupt

Referenced by DMA_config().

CSL_DmaRegsOvly CSL_DMA_ChannelObj::dmaRegs

register overlay struct pointer

Referenced by DMA_close(), DMA_config(), DMA_getConfig(), DMA_getLastTransferType(), DMA_getStatus(), DMA_open(), DMA_reset(), DMA_start(), and DMA_stop().

Bool CSL_DMA_ChannelObj::isChanFree

Indicates Availability of chan

Referenced by DMA_close(), and DMA_open().

Bool CSL_DMA_ChannelObj::pingPongEnabled

This flag notifies whether the ping-pong mode is enaled or not If TRUE - Ping-Pong is Enabled If FALSE - Ping-Pong is Disabled

Referenced by DMA_config().

CSL_DMATransferType CSL_DMA_ChannelObj::trfType

Type of the data transfer

Referenced by DMA_config(), DMA_getConfig(), and DMA_open().

CSL_DMATriggerType CSL_DMA_ChannelObj::trigger

Type of DMA triggering HW/SW

Referenced by DMA_config(), DMA_getConfig(), DMA_open(), DMA_start(), and DMA_stop().

The documentation for this struct was generated from the following file:

- csl_dma.h